Bug 6150 - UNIMARC field 225 plugin: allow $a value data entry
Summary: UNIMARC field 225 plugin: allow $a value data entry
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Frédéric Demians
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-08 17:47 UTC by Frédéric Demians
Modified: 2013-12-05 19:53 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (2.05 KB, patch)
2011-04-08 17:52 UTC, Frédéric Demians
Details | Diff | Splinter Review
Proposed patch rebased for TT (1.98 KB, patch)
2011-06-15 16:07 UTC, Frédéric Demians
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Demians 2011-04-08 17:47:51 UTC
The current UNIMARC 225 plugin behavior forces cataloguer to select a
collection name in a combo box. The content of this combo box comes from
special EDITORS authorities list which is constructed by a script. So
there is no way to add a new collection directly in biblio data entry
form.

A input box can be added to the plugin form in order to enter by hand a
new collection.
Comment 1 Frédéric Demians 2011-04-08 17:52:23 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2011-06-15 13:38:21 UTC
Apply? [y]es/[n]o/[e]dit/[v]iew patch/[a]ccept all y
Applying: Bug 6150 UNIMARC field 225 plugin: allow $a value data entry
Using index info to reconstruct a base tree...
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/cataloguing/value_builder/unimarc_field_225a.tt
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/cataloguing/value_builder/unimarc_field_225a.tt
Failed to merge in the changes.
Patch failed at 0001 Bug 6150 UNIMARC field 225 plugin: allow $a value data entry
Comment 3 Frédéric Demians 2011-06-15 16:07:00 UTC
Created attachment 4485 [details] [review]
Proposed patch rebased for TT
Comment 4 Julian Maurice 2011-08-05 09:09:12 UTC
The patch applies well on master, and works fine, signed off.
Comment 5 Ian Walls 2011-08-12 18:36:36 UTC
Template only change, just adds functionality, doesn't remove, marking as Passed QA
Comment 6 Chris Cormack 2011-08-14 07:57:33 UTC
Pushed, please test
Comment 7 Jared Camins-Esakov 2012-05-23 12:47:09 UTC
Seems to be working. Closing.